# Class CompilationSubject.DiagnosticAtColumn

java.lang.Object
com.google.testing.compile.CompilationSubject.DiagnosticAtColumn

Enclosing class:
  `CompilationSubject`

public final class CompilationSubject.DiagnosticAtColumn extends Object
Assertions that a note, warning, or error was found at a given column.

## Method Summary

Modifier and Type
Method
Description
`void`
`atColumn(long expectedColumn)`
Asserts that the note, warning, or error was found at a given column.
`protected void`
`failExpectingMatchingDiagnostic(String format, Object... args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### atColumn

public void atColumn(long expectedColumn)
Asserts that the note, warning, or error was found at a given column.

### failExpectingMatchingDiagnostic

protected void failExpectingMatchingDiagnostic(String format, Object... args)